Skip to main content
POST
/
oracle
Oracle Research
curl --request POST \
  --url https://apigcp.trynia.ai/v2/oracle \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "query": "<string>",
  "repositories": [
    "<string>"
  ],
  "data_sources": [
    "<string>"
  ],
  "output_format": "<string>",
  "model": "<string>"
}
'
import requests

url = "https://apigcp.trynia.ai/v2/oracle"

payload = {
"query": "<string>",
"repositories": ["<string>"],
"data_sources": ["<string>"],
"output_format": "<string>",
"model": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
repositories: ['<string>'],
data_sources: ['<string>'],
output_format: '<string>',
model: '<string>'
})
};

fetch('https://apigcp.trynia.ai/v2/oracle', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Body

application/json
query
string
required

Research question to investigate

repositories
string[] | null

Optional list of repository identifiers

data_sources
string[] | null

Optional list of documentation source identifiers

output_format
string | null

Optional output format specification

model
string | null

Model to use: claude-opus-4-7, claude-sonnet-4-5-20250929, or claude-sonnet-4-5-1m

Response

Successful Response